#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <Adafruit_BMP085.h>
#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 32 // OLED display height, in pixels
#define OLED_RESET     1 
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

char PRESSURESHOW[4];// initializing a character of size 4 for showing the  result
char TEMPARATURESHOW[4];// initializing a character of size 4 for showing the temparature result
Adafruit_BMP085 bmp;

void setup() 
{
Wire.begin(2,0);
display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
display.display();
delay(2000); // Pause for 2 seconds  
display.clearDisplay();
display.setTextSize(1);
display.setCursor(0, 0);
display.setTextColor(WHITE);
display.display();

if (!bmp.begin())
{
display.setCursor(0, 0);  
display.print("ERROR");///if there is an error in communication
display.display();
while (1){}
}

}

void loop() {
  String PRESSUREVALUE = String(bmp.readPressure());
  PRESSUREVALUE.toCharArray(PRESSURESHOW, 4);
  String TEMPARATUREVALUE = String(bmp.readTemperature());
  TEMPARATUREVALUE.toCharArray(TEMPARATURESHOW, 4);
  display.setCursor(0, 0);
  display.print("Press: ");
  display.print(PRESSURESHOW);
  display.println(" hPa");
  display.setCursor(0, 10);
  display.print("Temp: ");
  display.print(TEMPARATURESHOW);
  display.println(" *C");
  display.setCursor(0, 20);
  display.print(millis()/1000);
  display.display(); //you have to tell the display to...display
  //delay(500);
  display.clearDisplay();
}
